import 'd3-selection-multi';
import { Mark } from './Mark';
import { BarsModel } from './BarsModel';
export declare class Bars extends Mark {
    render(): any;
    set_scale_orientation(): void;
    set_ranges(): void;
    set_positional_scales(): void;
    set_internal_scales(): void;
    adjust_offset(): void;
    create_listeners(): void;
    process_click(interaction: any): void;
    realign(): void;
    draw_zero_line(): void;
    relayout(): void;
    invert_point(pixel: any): void;
    selector_changed(point_selector: any, rect_selector: any): any[];
    update_selected(model: any, value: any): void;
    draw(animate?: boolean): void;
    draw_bars(animate?: boolean): void;
    update_type(model: any, value: any): void;
    update_stroke_and_opacities(): void;
    update_colors(): void;
    draw_legend(elem: any, x_disp: any, y_disp: any, inter_x_disp: any, inter_y_disp: any): any[];
    clear_style(style_dict: any, indices: any): void;
    set_style_on_elements(style: any, indices: any): void;
    set_default_style(indices: any): void;
    set_x_range(): any;
    bar_click_handler(args: any): void;
    reset_selection(): void;
    compute_view_padding(): void;
    dom_offset: any;
    dom_scale: any;
    legend_el: any;
    pixel_coords: any;
    range_offset: any;
    range_scale: any;
    x_pixels: any;
    x: any;
    x1: any;
    model: BarsModel;
}
